from Ft.Server.Common import XmlLib

def test_make_string(tester):

    tester.startGroup("Make String")


    tester.startTest("from string")
    res = XmlLib.MakeString("x")
    tester.compare(res,'<?xml version="1.0"?>\nx')
    tester.testDone()

    tester.startTest("from unicode")
    res = XmlLib.MakeString(u"x")
    tester.compare(res,'<?xml version="1.0" encoding="UTF-8"?>\nx')
    tester.testDone()



    tester.groupDone()


def Test(tester):
    test_make_string(tester)


